# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test;
BEGIN { plan tests => 8 };
use Asamasi::RakuAPI;
ok(1); # If we made it this far, we're ok.

#########################

my $araku = Asamasi::RakuAPI->new(affiliate_code => "YOUR_AFFILIATE_CODE");

my $results_ref = $araku->search({key => "fujitsu", row => 3});

ok($results_ref);
ok(@{$results_ref} == 3);

use Cache::File;
my $cache_root_root = "/var/tmp/cache";
my $cache_rakuapi = 
    Cache::File->new(cache_root => $cache_root_root."/rakuapi",
		     lock_level => Cache::File::LOCK_LOCAL(),
		     default_expires => '48 hours');

$araku = Asamasi::RakuAPI->new(cache => $cache_rakuapi,
			       affiliate_code => "YOUR_AFFILIATE_CODE");

$results_ref = $araku->search({key => "live", genre => "cddvd", row => 10});
ok($results_ref);
ok(@{$results_ref} == 10);

$results_ref = $araku->search({key => "live", genre => "cddvd", sort => "high", row => 3});
ok($results_ref);
ok(@{$results_ref} == 3);
ok($results_ref->[0]->{Price} >= $results_ref->[2]->{Price});

$cache_rakuapi->clear();

#use Data::Dumper; print Dumper($results_ref);

